#!/usr/bin/python

import datetime, os, time, thread
import insteon #see insteon.py

#uncomment one of these lines + update port name appropriately
#INSTEON_SERIAL_PORT = "COM1" #windows
#INSTEON_SERIAL_PORT = "/dev/tty.usbserial-A6004snY" #mac
INSTEON_SERIAL_PORT = "/dev/ttyUSB0" #linux

#configure logging
timestamp = datetime.datetime.now().strftime("%Y-%m-%d_%H-%M-%S")
os.mkdir("data/" + timestamp)
logfile_prefix = "data/" + timestamp + "/" + timestamp

insteon.insteon_reader(INSTEON_SERIAL_PORT, logfile_prefix)